
/*==============================================*\

  Lundi 10 décembre 2001

  Arash Habibi

  PpmMaker.h

\*==============================================*/


#ifndef PPM_MAKER_H_
#define PPM_MAKER_H_

#include <stdio.h>
#include <stdlib.h>

#include <time.h>
#include <pwd.h>
#include <sys/types.h>
#include <unistd.h>

void _InitImageBuffer(int largeur_fen, int hauteur_fen); 
void _SaveImage(unsigned char *, FILE* , int , int ); 
//static void _SaveImage(unsigned char *, FILE* , int , int ); 
FILE* _InitImageFile(int , int , char*,  char *, char *);
//static FILE* _InitImageFile(int , int , char*,  char *, char *);

extern void PM_SaveImagePPM(char *ImageFileName, char *NomProg);
extern void PM_InitBuffer(int largeur, int hauteur); 
extern void PM_Color(unsigned char rouge, unsigned char vert, unsigned char bleu); 
//extern void PM_Color_short(couleur_t couleur);
extern void PM_Vertex(int x, int y); 
extern void PM_Clear(void); 
extern void PM_Flush(void); 
extern void PM_Close(void); 

#endif




